%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           pyutil
Version:        1.6.1
Release:        4%{?dist}
Summary:        A collection of mature utilities for Python programmers

Group:          Development/Languages
License:        GPLv2+
URL:            http://allmydata.org/trac/pyutil
Source0:        http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
Patch0:         pyutil-remove-darcs-dep.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools, python-argparse, python-zbase32
Requires:	python-twisted-core, python-argparse, python-zbase32

# For testsuite:
BuildRequires:  python-twisted-core, net-tools

%description
These are a few data structures, classes and functions which we've needed
over many years of Python programming and which seem to be of general use
to other Python programmers. Many of the modules that have existed in pyutil
over the years have subsequently been obsoleted by new features added to
the Python language or its standard library, thus showing that we're not
alone in wanting tools like these.

%prep
%setup -q
# remove dependency on darcs
%patch0 -p1


%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install -O1 --skip-build --root %{buildroot}

# rename the utilities to something less generic
mv %{buildroot}%{_bindir}/lines %{buildroot}%{_bindir}/%{name}_lines
mv %{buildroot}%{_bindir}/randcookie %{buildroot}%{_bindir}/%{name}_randcookie
mv %{buildroot}%{_bindir}/randfile %{buildroot}%{_bindir}/%{name}_randfile
mv %{buildroot}%{_bindir}/tailx %{buildroot}%{_bindir}/%{name}_tailx
mv %{buildroot}%{_bindir}/unsort %{buildroot}%{_bindir}/%{name}_unsort

# remove shebang
find %{buildroot}%{python_sitelib}/%{name} -type f -name \*.py -o -name test_template | \
	xargs sed -i '/^#!\/usr\/bin\/env/d'
 
%clean
rm -rf %{buildroot}

%check
%{__python} setup.py test


%files
%defattr(-,root,root,-)
%doc README.txt COPYING.GPL COPYING.TGPPL.html CREDITS
%{python_sitelib}/*
%{_bindir}/%{name}_lines
%{_bindir}/%{name}_randcookie
%{_bindir}/%{name}_randfile
%{_bindir}/%{name}_tailx
%{_bindir}/%{name}_unsort



%changelog
* Sat Feb 13 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.6.1-4
- Review fixes (#560457)

* Sat Feb 13 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.6.1-3
- Rename utilities to something less generic
- BR Twisted for testsuite

* Fri Feb 12 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.6.1-2
- Remove dependency on darcs

* Sun Jan 31 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.6.1-1
- Initial import

